Can I use the older version of the base stations together with SteamVR Base Station 2.0?

No, they are not compatible. SteamVR Base Station 2.0 has a different method of syncing. Use only the same versions of the base stations in your play area so that your setup will work correctly.
 
No Yes Found this article helpful?